BizKitHub
postServiceService

/api/service/ai

Internal API endpoints for micro-service architecture.

servicepostApiServiceAi

Parameters

JSON body

Request body

application/json
apiKeystringRequired
model"gemini-flash-latest" | "gemini-2.5-flash-lite" | "gpt-5" | "gpt-4o" | "gpt-5-mini"Required
questionstringRequired
Length: 1–20000

Response schema

1 status code documented

200Success

This response returns no JSON body.

Response example

application/json
{
  "success": true
}

Request example

POST /api/service/ai

post
curl -X POST "https://api.bizkithub.com/api/service/ai" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "apiKey": "example_apiKey",
  "question": "example_question"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key